Bug 9113 - PCMCIA works on install but not after startup
PCMCIA works on install but not after startup
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 2000-02-04 04:12 EST by Jason Herring
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-12 14:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Herring 2000-02-04 04:12:53 EST
When installing from PCMCIA installation disk on IBM Thinkpad 240, the
PCMCIA services function correctly.  In fact, I did a network install.
After reboot, PCMCIA services don't start.  lsmod shows no loaded modules.
I did some digging on the internet, and found one other person who posted a
solution: editting the /etc/sysconfig/pcmcia file.

For my particular laptop, this amounted to changing a file that looked


to one that looked like:
              PCIC_OPTS='cs_irq=11 irq_list=3'

Before I found this web site, I tried editting this file and changing
PCMCIA=no to PCMCIA=yes, which just gave me the error "no PCIC defined".  I
then found the above info on the 'net (at a japanese web site).

What I can't understand is why on bootup the installation disk located my
PCMCIA subsystem and correctly loaded the drivers, as well as the ethernet
driver for my PCMCIA card, and couldn't do it after the reboot.  The
problem lies in the logic there, it seems, of passing on the configuration
identified by the initial boot disk to the installed operating system.

I am willing to help troubleshoot this if you need my help.  I'd like to
have a seamless installation next time!

Comment 1 Jay Turner 2000-02-14 07:03:59 EST
Please run "probe" on the system after installation and post the resulting
output (should be like 3 or 4 lines) to us.  We will take a look and see if that
tells us anything interesting about the machine.
Comment 2 Michael Fulbright 2000-06-12 14:14:42 EDT
Closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.